%define perlver %(rpm -q perl --queryformat '%%{version}' 2>/dev/null)

Summary: LDAP Perl module
Name: perl-ldap
Version: 0.34
Release: 1tr
Group: Trustix Official
Source: http://www.cpan.org/authors/id/G/GB/GBARR/perl-ldap-%{version}.tar.gz
License: GPL
BuildRoot: /var/tmp/%{name}-%{version}-root
BuildRequires: perl(Convert::ASN1)
Requires:       perl = %{perlver}

%define siteperl /usr/lib/perl5/site_perl/%{perlver}
# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%description
Net::LDAP is a collection of modules that implements a LDAP services API
for Perl programs. The module may be used to search directories or perform
maintenance functions such as adding, deleting or modifying entries.

%prep
%setup -q
%{__perl} -pi -e 's|^#!/usr/local/bin/perl\b|#!%{__perl}|' contrib/*


%build
perl Makefile.PL
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"
make install DESTDIR=$RPM_BUILD_ROOT

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root,0755)
%doc Changes CREDITS contrib/ bin/
%{siteperl}/Bundle/
%{siteperl}/LWP/
%{siteperl}/Net/
%{_mandir}/man3/Net::LDAP*


%changelog
* Thu Jun 14 2007 Nived Gopalan <nived at trustix dot org> 0.34-1tr
- Initial release

